From: <a href="/blend/av.cgi?id=1684">blessed23</a><BR>
Date: 23 July 2014<P>

Farah, about <a href="/blend/wv.cgi?id=2014.06.07.03.30.12845">Time to let go</a>: Short and to the point, it's also how I'm feeling recently.  Good stuff.
<HR>
From: <a href="/blend/av.cgi?id=1684">blessed23</a><BR>
Date: 23 July 2014<P>

Just L, about <a href="/blend/wv.cgi?id=2014.06.05.08.35.25774">A Waxing Crescent Kiss</a>: I don't know why, but the first line of this struck we with fierceness.  I truly love it and empathize with the sentiment.  I really liked the originality of the form and style of the entire poem too.  It's innovative in certain ways that I find appealing.  Your writing has changed and matured over the time I've been reading it.  I really enjoyed this one especially.  
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 23 July 2014<P>

Farah, about <a href="/blend/wv.cgi?id=2014.06.07.03.42.16813">Cycle </a>:Wow. I think you've just about summed up my life in this one...nice piece. 
<HR>